%dipole
% Plots the electric field strength (and direction) of a static dipole.
%
% LAST UPDATED by Andy French September 2016

function dipole

%Electron charge /coulombs
qe = 1.602e-19;

%Set charges
q = qe*[1,1];

%Dipole separation /m
a = 0.1;

%Set charge coordinates
xq = a/2*[-1,1];
yq = [0,0];

%Set plot options
xlimits = 2*a*[-1,1];
ylimits = 2*a*[-1,1];
plot_title = 'Dipole';
options.interp_background = 1;
options.field_lines =1;
options.overlay_contour_lines = 1;
options.plot_charges = 1;

%Visualize electric field
[Ex,Ey,V,x,y] = efield( xq, yq, zeros(size(xq)), q, xlimits, ylimits, plot_title, options );

%End of code