%point_charge
% Plots the electric field strength (and direction) of a point charge.
%
% LAST UPDATED by Andy French September 2016

function point_charge

%Electron charge /coulombs
qe = 1.602e-19;

%Set charge
q = qe;

%Distance scale /m
a = 0.1;

%Set plot options
xlimits = 2*a*[-1,1];
ylimits = 2*a*[-1,1];
plot_title = 'Point charge';
options.interp_background = 1;
options.field_lines = 1;
options.overlay_contour_lines = 0;
options.plot_charges = 1;

%Visualize electric field
[Ex,Ey,V,x,y] = efield( 0, 0, 0, q, xlimits, ylimits, plot_title, options );

%End of code